package demo.interceptors.proprietary;

public class serverImpl 
    extends MyServerPOA
{
    public void _notify( String msg )
    {
	System.out.println("Notify: " + msg );
    }

    public String writeNumber( int i ) 
    {
	System.out.println("Number: " + i );
	return "Number written";
    }

    public String writeNumberWithEx( int i ) 
	throws demo.interceptors.proprietary.MyServerPackage.e 
    {
	if( true )
	    throw new demo.interceptors.proprietary.MyServerPackage.e("TestException");
	return "Number written";
    }
}


